/*
*   quicktime_codec_divx plugin for quicktime4linux library
*   enables decoding and encoding with DivX
*
*   (c) 25.8.2001 Ingo D. Rullhusen <d01c@uni-bremen.de>
*
*   This program is free software; you can redistribute it and/or modify
*   it under the terms of the GNU General Public License as published by
*   the Free Software Foundation; either version 2 of the License, or   
*   (at your option) any later version.
*
*   This program is distributed in the hope that it will be useful,
*   but WITHOUT ANY WARRANTY; without even the implied warranty of 
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
*   GNU General Public License for more details.
*
*   You should have received a copy of the GNU General Public License
*   along with this program; if not, write to the Free Software
*   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*
*   see gpl.txt for full license
*
*   ANNOTATION: DivX comes with an own license!
*/


#include <openquicktime.h>


int set_param_divx( quicktime_t *file, int track,
                    const char *param, const void *data );

int get_param_divx( quicktime_t *file, int track,
                    const char *param, void *data );

void *init_divx( quicktime_video_map_t *qvm );

int decode_divx( quicktime_t *file, int track,
                 unsigned long inputsize,
                 unsigned char *input, unsigned char **output );

int encode_divx( quicktime_t *file, int track,
                 unsigned char **input, unsigned char *output,
                 int *IsAKeyFrame );

int delete_divx( quicktime_video_map_t *vtrack );

int reads_colormodel_divx( quicktime_t *file, int colormodel, int track );

int writes_colormodel_divx( quicktime_t *file, int colormodel, int track );
