/*
*   quicktime_codec_divx plugin for quicktime4linux library
*   enables decoding and encoding with DivX
*
*   (c) 27.8.2001 Ingo D. Rullhusen <d01c@uni-bremen.de>
*
*   This program is free software; you can redistribute it and/or modify
*   it under the terms of the GNU General Public License as published by
*   the Free Software Foundation; either version 2 of the License, or   
*   (at your option) any later version.
*
*   This program is distributed in the hope that it will be useful,
*   but WITHOUT ANY WARRANTY; without even the implied warranty of 
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
*   GNU General Public License for more details.
*
*   You should have received a copy of the GNU General Public License
*   along with this program; if not, write to the Free Software
*   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*
*   see gpl.txt for full license
*
*   ANNOTATION: DivX comes with an own license!
*/


#include <string.h>

#include <openquicktime.h>

#include "codec_divx.h"


int quicktime_codec_register(quicktime_extern_video_t *vcodec)
{
   strcpy(vcodec->fourcc,"divx");
   printf("Registering video codec %s\n", vcodec->fourcc);
   vcodec->init   = init_divx;
   vcodec->encode = encode_divx;
   vcodec->decode = decode_divx;
   vcodec->delete_codec = delete_divx;
   vcodec->reads_colormodel = reads_colormodel_divx;
   vcodec->writes_colormodel = writes_colormodel_divx;
   vcodec->set_param = set_param_divx;
   vcodec->get_param = get_param_divx;

   return(1);
}
